Validate MFA challenge

Validate the MFA challenge for creating an MFA-trusted API sign in session. This validation requires the challengeId and token from POST /v3/mfa/challenge.

After the validation is complete, your API session is MFA trusted.

There are two stages in the BILL MFA process.

  1. MFA setup: Add a valid phone number for setting up MFA in the organization (with POST /v3/mfa/setup), and then complete the setup by validating the entered phone number (with POST /v3/mfa/validate). At this point, the phone number is registered for the MFA sign in operation.
  2. MFA sign in: Generate an MFA challenge (with POST /v3/mfa/challenge), and then complete MFA sign in by validating the MFA challenge (with POST /v3/mfa/challenge/validate). At this point, your API session is MFA trusted.

Note: In the production environment, BILL requires an MFA-trusted API session for a set of API operations.

  • Enable vendor autoPay
  • Enable recurring bill autoPayment
  • Create a payment or bulk payment
  • Create a bank account for a BILL organization
  • Reset MFA (Complete MFA setup and MFA sign-in again)
Body Params
string
required

MFA challengeId from the POST /v3/mfa/challenge response

string
required

Validation token sent to the registered phone number

string

Mobile device name. This is a nickname for your mobile device. Set this field when rememberMe is set as true.

string

Machine name. This is a nickname for the machine used to complete MFA sign in. Set this field when rememberMe is set as true.

boolean

Set as true for the generated MFA ID to expire in 30 days

Headers
string | null

API session ID generated with /v3/login

string | null

Developer key generated with your BILL developer account

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json